apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  labels:
    machine.openshift.io/cluster-api-cluster: ci-ln-h8c4g7k-1d09d-pmwzx
  name: winworker
  namespace: openshift-machine-api
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: ci-ln-h8c4g7k-1d09d-pmwzx
      machine.openshift.io/cluster-api-machineset: winworker
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: ci-ln-h8c4g7k-1d09d-pmwzx
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: winworker
        machine.openshift.io/os-id: Windows
    spec:
      metadata:
        labels:
          node-role.kubernetes.io/worker: ""
      providerSpec:
        value:
          apiVersion: azureproviderconfig.openshift.io/v1beta1
          credentialsSecret:
            name: azure-cloud-credentials
            namespace: openshift-machine-api
          image:
            offer: WindowsServer
            publisher: MicrosoftWindowsServer
            resourceID: ""
            sku: 2022-datacenter-smalldisk
            version: latest
          kind: AzureMachineProviderSpec
          location: centralus
          managedIdentity: ci-ln-h8c4g7k-1d09d-pmwzx-identity
          metadata:
            creationTimestamp: null
          networkResourceGroup: ci-ln-h8c4g7k-1d09d-pmwzx-rg
          osDisk:
            diskSizeGB: 128
            managedDisk:
              storageAccountType: Premium_LRS
            osType: Windows
          publicIP: false
          resourceGroup: ci-ln-h8c4g7k-1d09d-pmwzx-rg
          subnet: ci-ln-h8c4g7k-1d09d-pmwzx-worker-subnet
          userDataSecret:
            name: windows-user-data
            namespace: openshift-machine-api
          vmSize: Standard_D2s_v3
          vnet: ci-ln-h8c4g7k-1d09d-pmwzx-vnet
          zone: "1"
